## org.apache.lucene.analysis.ru
Class RussianLowerCaseFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ru.RussianLowerCaseFilter

    public final class RussianLowerCaseFilter

extends TokenFilter

Normalizes token text to lower case, analyzing given ("russian") charset.

Version:
  $Id: RussianLowerCaseFilter.java 687357 2008-08-20 14:38:07Z mikemccand $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianLowerCaseFilter(TokenStream in, char[] charset)`

Method Summary
`Token` `next(Token reusableToken)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianLowerCaseFilter

    public RussianLowerCaseFilter(TokenStream in,
                                  char[] charset)

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.